List Custom Components
curl --request GET \
--url https://cms.thepublive.com/publisher/{publisher_id}/entities/content-type/custom-component/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://cms.thepublive.com/publisher/{publisher_id}/entities/content-type/custom-component/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://cms.thepublive.com/publisher/{publisher_id}/entities/content-type/custom-component/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "<string>",
"previous": "<string>",
"results": [
{
"id": "<string>",
"name": "<string>",
"meta_data": {
"description": "<string>"
},
"field_types": [
{
"name": "<string>",
"type": "<string>",
"meta_data": {
"label": {
"value": "<string>"
},
"tooltip": {
"value": "<string>"
},
"type": {
"value": "<string>"
},
"placeholder": {
"value": "<string>"
},
"default": {
"value": "<unknown>"
}
},
"validations": {
"required": true,
"group_editable": true,
"max_length": 123
},
"group_id": "<string>"
}
],
"settings": {}
}
]
}{
"detail": "Invalid Auth Credentials"
}List Custom Components
GET
/
publisher
/
{publisher_id}
/
entities
/
content-type
/
custom-component
/
List Custom Components
Authorizations
HTTP Basic Auth using your Publive API key pair, base64-encoded.
Path Parameters
Your Publisher ID
Last modified on August 10, 2026
Was this page helpful?
⌘I